> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get alert monitoring threat cases

> Get alert monitoring threat cases



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/event/getAlertMonitoringThreatCases
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/event/getAlertMonitoringThreatCases:
    post:
      tags:
        - Event Webservice
      summary: Get alert monitoring threat cases
      description: Get alert monitoring threat cases
      operationId: getAlertMonitoringThreatCases
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Event_GetAlertMonitoringThreatCasesWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Event_GetAlertMonitoringThreatCasesWSResponse
          description: OK
components:
  schemas:
    Event_GetAlertMonitoringThreatCasesWSRequest:
      type: object
      description: >-
        Request object for retrieving alert monitoring threat cases with
        filtering and pagination options.
      properties:
        afterTimestampMs:
          type: integer
          format: int64
          description: Filter for threat cases after this timestamp
          example: 1640995200000
          nullable: true
        beforeTimestampMs:
          type: integer
          format: int64
          description: Filter for threat cases before this timestamp
          example: 1641081600000
          nullable: true
        deviceFilter:
          type: array
          description: List of device UUIDs to filter by
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        lastEvaluatedKey:
          type: string
          nullable: true
        lastTimestampMs:
          type: integer
          format: int64
          description: Last timestamp for pagination
          example: 1640995200000
          nullable: true
        lastUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        locationFilter:
          type: array
          description: List of location UUIDs to filter by
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        maxPageSize:
          type: integer
          format: int32
          nullable: true
        maxResults:
          type: integer
          format: int32
          description: Maximum number of results to return
          example: 100
          nullable: true
        mostRecent:
          type: boolean
          description: Whether to return only the most recent threat cases
          example: true
          nullable: true
        statusFilter:
          type: array
          description: List of threat case statuses to filter by
          items:
            $ref: '#/components/schemas/ThreatCaseStatusEnum'
          nullable: true
    Event_GetAlertMonitoringThreatCasesWSResponse:
      type: object
      description: >-
        Response object containing alert monitoring threat cases with pagination
        information.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        lastEvaluatedKey:
          type: string
          nullable: true
        threatCases:
          type: array
          description: List of threat cases matching the request criteria
          items:
            $ref: '#/components/schemas/AlertMonitoringThreatCaseType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    ThreatCaseStatusEnum:
      type: string
      enum:
        - INITIATED
        - REQUESTED
        - FOLLOW_ON
        - ESCALATED
        - PSAP_CONTACTED
        - VERIFIED
        - DISMISSED
        - CANCELLED
        - UNVERIFIABLE
        - TIMEOUT
        - ERROR
        - CLOSED
    AlertMonitoringThreatCaseType:
      type: object
      description: List of threat cases matching the request criteria
      properties:
        alertGroupingKeys:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        alertGroupingStrategy:
          $ref: '#/components/schemas/AlertGroupingStrategyEnum'
        associatedDeviceUuids:
          type: object
          additionalProperties:
            type: integer
            format: int64
            nullable: true
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        deleted:
          type: boolean
          nullable: true
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        locationName:
          type: string
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        noonlightAlarmId:
          type: string
          nullable: true
        noonlightVerificationId:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        policyAlertComponentCompositeUuids:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        policyAlertDeviceUuids:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        policyAlertUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        policyAlertUuids:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        promptTheme:
          $ref: '#/components/schemas/NoonlightPromptThemeEnum'
        promptTitle:
          type: string
          nullable: true
        sharedClipGroupUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        sirenSettings:
          $ref: '#/components/schemas/AMSirenSettingsType'
        status:
          $ref: '#/components/schemas/ThreatCaseStatusEnum'
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        submissionTimestampMs:
          type: integer
          format: int64
          nullable: true
        submitDelayExpireTimestampMs:
          type: integer
          format: int64
          nullable: true
        timelineEventList:
          type: array
          items:
            $ref: '#/components/schemas/ThreatCaseTimelineEventType'
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        verificationHistory:
          $ref: '#/components/schemas/VerificationHistory'
        verificationMode:
          $ref: '#/components/schemas/ThreatCaseVerificationModeEnum'
    AlertGroupingStrategyEnum:
      type: string
      enum:
        - ALARM_RULES
        - POLICY
        - CUSTOM_EVENTS
        - DOORBELL
        - MULTIPURPOSE_BUTTON
    NoonlightPromptThemeEnum:
      type: string
      enum:
        - THREAT
        - HUMAN
    AMSirenSettingsType:
      type: object
      properties:
        audioGateways:
          type: array
          description: UUIDs of audio gateways used to play this siren.
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        clipUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        durationSeconds:
          type: integer
          format: int32
          description: The duration (in seconds) to loop the clip audio for the siren.
          nullable: true
        playCount:
          type: integer
          format: int32
          description: The number of times to play the clip audio for the siren.
          nullable: true
      required:
        - audioGateways
        - clipUuid
    ThreatCaseTimelineEventType:
      type: object
      properties:
        alertUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        message:
          type: string
          nullable: true
        noonlightVerificationId:
          type: string
          nullable: true
        threatCaseStatus:
          $ref: '#/components/schemas/ThreatCaseStatusEnum'
        timestampSec:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/ThreatCaseTimelineEventTypeEnum'
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    VerificationHistory:
      type: object
      properties:
        alertIndex:
          type: integer
          format: int32
          nullable: true
        currentVerification:
          $ref: '#/components/schemas/VerificationRecord'
        verificationRecords:
          type: array
          items:
            $ref: '#/components/schemas/VerificationRecord'
          nullable: true
    ThreatCaseVerificationModeEnum:
      type: string
      enum:
        - EXTERNAL
        - INTERNAL
    ThreatCaseTimelineEventTypeEnum:
      type: string
      enum:
        - ALERT
        - DELAYED_ALERT
        - USER
        - SERVICE_PROVIDER
        - ERROR
        - PANIC_BUTTON
        - ACCESS_CONTROL_INTEGRATION
        - UNKNOWN
    VerificationRecord:
      type: object
      properties:
        alertUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        clipVerificationId:
          type: string
          nullable: true
        failedAsClip:
          type: boolean
          nullable: true
        failedAsStream:
          type: boolean
          nullable: true
        initiatedAsClip:
          type: boolean
          nullable: true
        sentAsClip:
          type: boolean
          nullable: true
        sentAsClipAtMs:
          type: integer
          format: int64
          nullable: true
        sentAsWindowedStream:
          type: boolean
          nullable: true
        sentAsWindowedStreamAtMs:
          type: integer
          format: int64
          nullable: true
        streamVerificationId:
          type: string
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````